package com.yida.data.common.core.entity.constant;

public interface CachePrefixConstant {

    /**
     * 企业微信应用缓存前缀
     */
    String SYS_APP = "sys:app.";

    /**
     * 部门公众号
     */
    String SYS_DEPT_WX_PUBLIC = "sys:dept-wx.public";

    /**
     * 区域接收者扫码绑定的key  0-未操作，大于1-已操作
     */
    String SYS_AGENT_RECEIVER_QR = "sys:agent:receiver.qr.";

    /**
     * 易达app缓存
     */
    String SYS_YIDA_APP = "sys:yida:app";

    /**
     * 学校(或教育局)-易达appid对应缓存
     */
    String SYS_SCHOOL_YIDA_APP = "sys:school-yida.app";

    /**
     * 易达app订阅号缓存
     */
    String SYS_YIDA_APP_ACCOUNT = "sys:yida:app.account";

    /**
     * 微信公众号对应模板消息
     */
    String SYS_WXPUBLIC_TEMPLATE_MSG = "sys:wx.public-template.msg.";


    /**
     * 修改密码 输入错误
     */
    String PWD_ERROR = "password.error.";

    /**
     * 导入数据错误
     */
    String IMPORT_ERROR = "import.error.";

    /**
     * 导入数据id前缀
     */
    String IMPORT_STAFF_KEY = "import.staff.percent.";

    String IMPORT_STAFF_FILE = "import.staff.file.";

    String IMPORT_TEACHER_KEY = "import.teacher.percent.";
    String IMPORT_TEACHER_FILE = "import.teacher.file.";

    String IMPORT_STUDENT_KEY = "import.student.";
    String IMPORT_STUDENT_FILE = "import.student.file.";

    /**
     * 登录用户将要登录的部门id
     */
    String USER_LOGIN_DEPT = "auth:user.login.dept";
    // -----------------系统-------------------
    /**
     * 区域数据
     */
    String AREA_DATA = "sys:area:data:";
    /**
     * 部门数据
     */
    String SYS_DEPT_DATA = "sys:dept:data";
    /**
     * 学校corpid与部门id映射
     */
    String SYS_SCHOOL_CORPID_ID = "sys:dept:corpid-deptid";
    /**
     * 学校微信公众号id与部门id映射
     */
    String SYS_SCHOOL_APPID_ID = "sys:dept:appid-deptid";
    /**
     * 操作日志集合redis的key值
     */
    String OPERATION_LOG_LIST = "operation_log_list";

    /**
     * 微信支付配置信息
     */
    String PAY_WX_CONFIG = "sys:pay.wx.onfig";

    /**
     * 节假日
     */
    String HOLIDAY = "sys:holiday";

    /**
     * 支付类型
     */
    String PAY_WAY_CONFIG = "sys:pay.way.config";

    /**
     * 银联支付配置信息
     */
    String UNION_PAY_CONFIG = "sys:union.pay.config";

    //------------------学校-------------------
    /**
     * 导入寝室 进度信息
     */
    String IMPORT_DORM_ROOM = "school:dormRoom.import";

    /**
     * 访客邀请码
     */
    String SCHOOL_VISITOR_INVITE_CODE = "school:visitor:invite.code.";

    /**
     * 邀请码对应的用户openId
     */
    String SCHOOL_VISITOR_OPEN_ID = "school:visitor:open.id";

    //------------------用户-------------------
    String STUDENT_DATA = "user:student.data";

    /**
     * 导入住宿学生 进度信息
     */
    String IMPORT_STUDENT_DORM = "user:studentDorm.import";

    /**
     * 学生在校离校，在寝不在寝状态
     */
    String STUDENT_STATUS = "user:student.status";

    String STAFF_DATA = "user:staff.data";

    /**
     * 上传人脸key
     */
    String IMPORT_FACE_KEY = "user:face:import.key.";

    /**
     * 下发人脸总数
     */
    String ISSUE_FACE_TOTAL = "user:face:issue.total.";

    /**
     * 完成数量
     */
    String ISSUE_FACE_FINISH = "user:face:issue.finish.";

    /**
     * 错误数量
     */
    String ISSUE_FACE_ERROR = "user:face:issue.error.";

    /**
     * 错误信息
     */
    String ISSUE_FACE_ERROR_MSG = "user:face:issue.error.msg.";

    /**
     * 大华code与人员id对应
     */
    String USER_DAHUA_USER = "user:dahuaId-userId";

    /**
     * 已同步的学生id
     */
    String SYNC_STUDENT = "sync:student:id";

    //----------------考勤---------------------
    //------------------设备-------------------
    /**
     * 存活设备
     */
    String ALIVE_DEVICE = "attendance:device:alive.";

    /**
     * 设备数据
     */
    String DEVICE_DATA = "attendance:device:data";

    /**
     * 最新考勤记录时间
     */
    String ATTENDANCE_RECORD_LAST = "attendance:record";

    /**
     * 考勤设置
     */
    String ATTENDANCE_CONFIG = "attendance:config";

    /**
     * 设备下发的人脸组
     */
    String ISSUE_FACE_GROUP_DEVICE = "attendance:device:face-group.";

    /**
     * 海清设备批量编辑列表
     */
    String HQ_EDIT_BATCH = "hq.edit.batch.";

    //--------------商品订单------------------

    /**
     * 商品信息
     */
    String PRODUCT = "product:data";

    /**
     * 商品库存
     */
    String PRODUCT_STOCK = "product:stock";

    /**
     * 订单信息
     */
    String ORDER = "product:order.";
    /**
     * 订单微信端调起支付所需参数，微信jsapi为prepay_id，微信h5为回调地址
     */
    String ORDER_FLAG = "order.flag.";
    /**
     * 学生的应用列表
     */
    String STUDENT_APPLY = "apply.student.code";

    /**
     * 按学生保存的订单信息
     */
    String STUDENT_ORDER = "order.student.";

    //-------------考试--------------
    /**
     * 考试成绩上传进度
     */
    String EXAM_UPLOAD_STUDENT_DATA = "exam.student.upload.data.";

    /**
     * 学校对应未删除学生集
     */
    String LIVE_STUDENT = "user:student:alive";

    String EXAM_SCORE = "exam.score.";

    String EXAM_STUDENT_SCORE_RANK = "exam.student.score-rank";

    //-------------电子学生证----------
    String STUDENT_CARD_IMPORT = "student.card.import";
    String TELEPHONE_IMPORT = "telephone.import";
    // 0-在线，1-不在线
    String DEVICE_CARD_ONLINE = "device:card:online:";
    // 810A设备厂商
    String DEVICE_CARD_IMEI_VENDOR = "device:card:imei-vendor";
    String DEVICE_CARD_DATA = "device:card:data:";

    // 上一条消费的定位数据时间
    String DEVICE_CARD_LAST_CONSUME_MSG = "device:card:last-consume-msg";
    // 学生证定位数据
    String DEVICE_CARD_LATEST_LOCATION = "device:card:latest-location";
    // 学生证围栏数据
    String DEVICE_CARD_FENCE_DATA = "device:card:fence:data:";
    // 学生在围栏的状态  0-围栏内  1-围栏外
    String DEVICE_CARD_FENCE_STATUS = "device:card:fence:status:";
    // 学生证上次低电量推送阈值
    String DEVICE_CARD_LOWBAT_VALUE = "device:card:last-lowbat:value";
    // 学生证是否下发天气数据
    String DEVICE_CARD_WEATHER = "device:card:weather.";
    // 城市天气数据缓存
    String DEVICE_CARD_CITY_WEATHER = "device:card:weather:city.";

    //-------------亲情电话------------
    // 存活话机
    String PHONE_ALIVE = "phone.alive.";

    /**
     * 导入时使用的部门数据
     */
    String IMPORT_DEPT_DATA = "import.dept.data";

    /**
     * 系统操作指南类型
     */
    String INSTRUCTIONS_TYPE = "instructions.type.";
    /**
     * 系统操作指南内容
     */
    String INSTRUCTIONS_CONTENT = "instructions.content.";
    /**
     * 健康体测导入进度
     */
    String HEALTH_IMPORT = "health.import.";

    /**
     * 用户导入
     */
    String HEALTH_USER_IMPORT = "health:user.import";

    //------------------------通用----------
    /**
     * 接收的第三方信息，刷入es
     */
    String RECEIVE_MSG = "common.receive.msg.list";

    //--------------自定义表单--------------------
    /**
     * 表单统计数据
     */
    String FORM_STATISTIC = "form:statistic";

    //--------------家校部门---------------
    /**
     * 家校部门数据
     */
    String USER_DEPT_DATA = "user:dept:data";

    /**
     * 家校部门指定类型部门
     */
    String USER_DEPT_TYPE_DATA = "user:dept:type:data";

    //--------------------定位数据---------------
    /**
     * 基站定位数据
     */
    String LOCATION_BTS = "location:bts-";

    /**
     * wifi定位数据
     */
    String LOCATION_WIFIMAC = "location:wifimac-";

    // --------------------宿舍数据-----------------
    /**
     * 宿舍信息
     */
    String FACILITY_DORM_ROOM = "facility:dorm:room";
    // --------------------第二课堂----------------
    /**
     * 菜单配置
     */
    String SECOND_CLASS_CONFIG = "second-class:config:";
    /**
     * banner
     */
    String SECOND_CLASS_BANNER = "second-class:banner:";
    /**
     * 课程播放量
     */
    String SECOND_CLASS_COURSE_VISIT = "second-class:course:visit-num:";

    // --------------------缴费账单----------------
    /**
     * 学生账单订单缓存
     */
    String BILL_ORDER_STUDENT = "bill.order.student.";

    /**
     * 账单订单信息
     */
    String BILL_ORDER = "bill.order.";

    /**
     * 账单订单调起支付所需参数，微信jsapi为prepay_id，微信h5为回调地址，银联支付为支付地址
     */
    String BILL_ORDER_FLAG = "bill.order.flag.";

    /**
     * 学生账单列表缓存
     */
    String BILL_LIST = "student:bill:h5:list";

    /**
     * 学生账单详情缓存
     */
    String BILL_INFO = "student:bill:h5:info";

    /**
     * 学生账单订单列表缓存
     */
    String BILL_ORDER_LIST = "student:bill:order:h5:list";

    /**
     * 学生账单订单详情缓存
     */
    String BILL_ORDER_INFO = "student:bill:order:h5:info";

    /**
     * 账单统计缓存
     */
    String BILL_STATISTICS_DATA = "bill:statistics:data:";

    /**
     * 账单统计导出地址缓存
     */
    String BILL_STATISTICS_EXPORT_URL = "bill:statistics:export:url:";

    /**
     * 账单明细导出地址缓存
     */
    String BILL_PAY_DETAIL_EXPORT_URL = "bill:pay:detail:export:url:";

    // -----------摄像头-------------------------
    /**
     * 摄像头
     */
    String EDU_CAMERA = "edu.camera.";
    // ----------教育局学校---------------------
    String SCHOOL_LIST_SEARCH = "school:list:search";

    /**
     * 下载学生照片
     */
    String USER_PIC_DOWNLOAD = "user:pic:downLoad.";

    /**
     * 下载学生照片
     */
    String IMPORT_STUDENT_APPLY_PROGRESS = "import:student:apply.progress.";

    /**
     * 考勤规则实际应打卡天数
     */
    String ATTENDANCE_STAFF_RULE = "attendance:staff:rule.";

    /**
     * 学校对应关键功能点配置
     */
    String SCHOOL_FUNCATION_CODE = "school:funcation:code.";

    String ATTENDANCE_DORMITORY_CLASS = "attendance:Dormitory:class.";

    String ATTENDANCE_DORMITORY_DORM = "attendance:Dormitory:dorm.";

    String STAFF_MANGE_DEPT = "staff:mange:dept.";


    /**
     * 对应设备策略id(人脸组id)缓存
     */
    String USER_ATTENDANCE_STRATEGY = "user:attendance:strategy:";

    /**
     * 系统学校配置信息
     */
    String SCHOOL_CONFIG_DATA = "school:config:data";

    /**
     * 学校对应全部的班级信息
     */
    String SCHOOL_CLASS_DATA = "school:class:data.";

    /**
     * 学校对应全部的宿舍信息
     */
    String SCHOOL_DORM_DATA = "school:dorm:data.";

    /**
     * 学校对应的考勤规则
     */
    String SCHOOL_RULE_DATA = "school:rule:data.";

    /**
     * 宿舍学生信息
     */
    String DORM_STUDENT_DATA = "dorm:student:data.";

    /**
     * 班级学生信息
     */
    String CLASS_STUDENT_DATA = "class:student:data.";


    String ADD_MANUSCRIPT_PROGRESS = "add:manuscript:progress";

    // --------------------智慧迎新-----------------
    String GUIDE_ROSTER_DATA_DOWNLOAD = "guide:roster:data:download.";

}
