package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yida.data.common.core.entity.EasyExcelExportBaseDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 学生信息导出类
 *
 * @author ZYJ
 * @date 2022/8/31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StudentExportDTO", description = "学生信息导出类")
public class StudentExportDTO extends EasyExcelExportBaseDTO implements Serializable {

    private static final long serialVersionUID = 6625908714399734930L;

    @ExcelProperty("学生姓名")
    private String stuName;

    @ExcelProperty("年级")
    private String gradeName;

    @ExcelProperty("班级")
    private String className;

    @ExcelProperty("学号")
    private String stuNumber;

    @ExcelProperty("是否采集人脸")
    private String collectStatus;
}