package com.yida.data.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * Excel一键邀请信息导入类
 *
 * @author ZYJ
 * @date 2021/8/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "WelcomeInviteImportDTO", description = "Excel一键邀请信息导入类")
public class WelcomeInviteImportDTO implements Serializable {

    private static final long serialVersionUID = -5264894950976819314L;

    /**
     * 学生姓名
     */
    @ExcelProperty(index = 0)
    private String studentName;

    /**
     * 校区名称
     */
    @ExcelProperty(index = 1)
    private String campusName;

    /**
     * 学段名称
     */
    @ExcelProperty(index = 2)
    private String sectionName;

    /**
     * 年级名称
     */
    @ExcelProperty(index = 3)
    private String gradeName;

    /**
     * 班级名称
     */
    @ExcelProperty(index = 4)
    private String className;

    /**
     * 学生学号
     */
    @ExcelProperty(index = 5)
    private String studentNumber;

    /**
     * 家长一关系
     */
    @ExcelProperty(index = 6)
    private String parentTypeName;

    /**
     * 家长一电话
     */
    @ExcelProperty(index = 7)
    private String parentTelephone;

    /**
     * 家长二关系
     */
    @ExcelProperty(index = 8)
    private String parentTypeNameSecond;

    /**
     * 家长二电话
     */
    @ExcelProperty(index = 9)
    private String parentTelephoneSecond;

    /**
     * 家长三关系
     */
    @ExcelProperty(index = 10)
    private String parentTypeNameThird;

    /**
     * 家长三电话
     */
    @ExcelProperty(index = 11)
    private String parentTelephoneThird;

    /**
     * 家长四关系
     */
    @ExcelProperty(index = 12)
    private String parentTypeNameFourth;

    /**
     * 家长四电话
     */
    @ExcelProperty(index = 13)
    private String parentTelephoneFourth;

    /**
     * 学生类型字符串
     */
    @ExcelProperty(index = 14)
    private String familyName;
}